Package org.eclipse.emf.cdo.eresource

# Interface CDOResourceNode

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `Notifier`

All Known Subinterfaces:
  `CDOBinaryResource`, `CDOFileResource<IO>`, `CDOResource`, `CDOResourceFolder`, `CDOResourceLeaf`, `CDOTextResource`, `InternalCDOResource`

All Known Implementing Classes:
  `CDOBinaryResourceImpl`, `CDOFileResourceImpl`, `CDOResourceFolderImpl`, `CDOResourceImpl`, `CDOResourceLeafImpl`, `CDOResourceNodeImpl`, `CDOTextResourceImpl`

public interface CDOResourceNode extends CDOObject
A representation of the model object 'CDO Resource Node'.

See Also:
  - `EresourcePackage.getCDOResourceNode()`
Generated
Extends
  CDOObject
Model
  abstract="true"
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Folder`
  - `Name`
  - `Path`
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ROOT_NAME`
`static final String`
`ROOT_PATH`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete(Map<?,?> options)`
`String`
`getBasename()`
`String`
`getExtension()`
`CDOResourceFolder`
`getFolder()`
Returns the value of the 'Folder' container reference.
`String`
`getName()`
Returns the value of the 'Name' attribute.
`String`
`getPath()`
Returns the value of the 'Path' attribute.
`URI`
`getURI()`
`boolean`
`isRoot()`
`void`
`setBasename(String basename)`
`void`
`setExtension(String extension)`
`void`
`setFolder(CDOResourceFolder value)`
Sets the value of the '`Folder`' container reference.
`void`
`setName(String value)`
Sets the value of the '`Name`' attribute.
`void`
`setPath(String value)`
Sets the value of the '`Path`' attribute.
`String`
`trimExtension()`
Same as `getBasename()`.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### ROOT_PATH

static final String ROOT_PATH

Since:
  2.0
See Also:
  - Constant Field Values
Added

### ROOT_NAME

static final String ROOT_NAME

Since:
  2.0
Added

## Method Details

### isRoot

boolean isRoot()

Since:
  2.0
Added

### getFolder

CDOResourceFolder getFolder()
Returns the value of the 'Folder' container reference. It is bidirectional and its opposite is '`Nodes`'.

If the meaning of the 'Folder' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Folder' container reference.
See Also:
  - `setFolder(CDOResourceFolder)`
  - `EresourcePackage.getCDOResourceNode_Folder()`
  - `CDOResourceFolder.getNodes()`
Generated
Model
  opposite="nodes" transient="false"

### setFolder

void setFolder(CDOResourceFolder value)
Sets the value of the '`Folder`' container reference.

Parameters:
  `value` - the new value of the 'Folder' container reference.
See Also:
  - `getFolder()`
Generated

### getName

String getName()
Returns the value of the 'Name' attribute.

If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`
  - `EresourcePackage.getCDOResourceNode_Name()`
Generated
Model
  annotation="http://www.eclipse.org/CDO/DBStore columnType='VARCHAR' columnLength='255'"

### setName

void setName(String value)
Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`
Generated

### getPath

String getPath()
Returns the value of the 'Path' attribute.

If the meaning of the 'Path' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Path' attribute.
See Also:
  - `setPath(String)`
  - `EresourcePackage.getCDOResourceNode_Path()`
Generated
Model
  transient="true" volatile="true" derived="true"

### setPath

void setPath(String value)
Sets the value of the '`Path`' attribute.

Parameters:
  `value` - the new value of the 'Path' attribute.
See Also:
  - `getPath()`
Generated

### getExtension

String getExtension()

Since:
  4.4
Added

### setExtension

void setExtension(String extension)

Since:
  4.8
Added

### trimExtension

String trimExtension()
Same as `getBasename()`.

Since:
  4.4
Added

### getBasename

String getBasename()

Since:
  4.8
Added

### setBasename

void setBasename(String basename)

Since:
  4.8
Added

### getURI

URI getURI()

Added

### delete

void delete(Map<?,?> options) throws IOException

Throws:
  `IOException`
Added